function charakterystyki(h,k)
smin=0; smax=pi;
rmin=0; rmax=1;
s=smin:h:smax;
r=rmin:k:rmax;
n=length(s)
m=length(r)-1

for i=1:n
    x(i,1)=s(i);
    t(i,1)=0;
    u(i,1)=0;
    u2(i,1)=0;
    for j=1:m
        x(i,j+1)=rkutt(1,r(j),x(i,j),t(i,j),x(i,j),k); 
        t(i,j+1)=rkutt(2,r(j),x(i,j),t(i,j),t(i,j),k);
        u(i,j+1)=rkutt(3,r(j),x(i,j),t(i,j),u(i,j),k); %metoda R-K
        u2(i,j+1)=u2(i,j)+k*sin(x(i,j)-2*t(i,j)); %metoda eulera
    end;
end;
for i=1:n
    for j=1:m+1
        xd(i,j)=2*r(j)+s(i);
        td(i,j)=r(j);
        ud(i,j)=r(j)*sin(s(i));
    end;
end;

bladx=max(max(abs(xd-x)));
bladt=max(max(abs(td-t)));
bladu=max(max(abs(ud-u)));
bladrk=max([bladx bladt bladu])
bladu2=max(max(abs(ud-u2)));
bladeuler=max([bladx bladt bladu2])
alfa=log(bladrk)/log(h^2 + k^2)

subplot(3,1,1)
mesh(x,t,u)
title(['Przyblizenia metoda Rungego-Kutty,  blad:' num2str(bladrk)]);
AXIS([0 6 0 1 0 1])
subplot(3,1,2)
mesh(x,t,u2)
title(['Przyblizenia metoda Eulera,  blad:' num2str(bladeuler)]);
AXIS([0 6 0 1 0 1])
subplot(3,1,3)
mesh(xd,td,ud)
title('Rozwiazanie dokladne');
AXIS([0 6 0 1 0 1])


